cure 0.0.5
cure: ^0.0.5 copied to clipboard

A library for Dart developers which contains some useful tools and extensions: Signalr, MessagePack, CRC, HTTP, EventSource, WebSocket, etc.

What? #

Cure is a library for Dart developers which contains some useful tools and extensions: Signalr, MessagePack, CRC, HTTP, EventSource, WebSocket, etc.

Why? #

Dart is a beautiful language which is used by Flutter framework. But some tools such as Signalr, CRC was not supported by native, and there's some API only work in Web or DartVM, so I create this library to solve these problems.

How? #

Talk is cheap. Show me the code:)

Features and bugs #

Since I'm not very familiar with Dart, there maybe some bugs when you use it.

Please file feature requests and bugs at the issue tracker.

3
likes
100
pub points
64%
popularity

Publisher

yanshouwang.dev

A library for Dart developers which contains some useful tools and extensions: Signalr, MessagePack, CRC, HTTP, EventSource, WebSocket, etc.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

ansicolor, pedantic, string_scanner, tuple

More

Packages that depend on cure